# searchdomain

域名批量检索可用 重构了Java项目：[SearchDomain](https://git.yoqi.me/lyq/SearchDomain)



## Develop


```
virtualenv .venv
pip install -r requirements.txt
```

1、批量生成域名
```
# 生成双拼域名
generateDomain = GenerateDomain() 
generateDomain.run()

# 生成英文域名
generateDomain = GenerateEnDomain() 
generateDomain.run()

python generateDomain.py
```

2、批量检测域名是否可以注册，并将结果保存到数据库或文件
```
# 域名批量查询
serachdomain = SearchDomain(debug=True, export_all=False) 
serachdomain.run()

python main.py
```

## windows

命令行模式：

## docker

1）searchdomain 作为容器运行：
```

docker pull ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5

docker run -it --rm -v /data/searchdomain:/app ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5
```


2）searchdomain 作为命令行执行：
```
useradd -u 5678 searchdomain

docker pull ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5

docker run -it --rm -v /data/searchdomain:/app ccr.ccs.tencentyun.com/jianboy/searchdomain:v1.0.5

alias searchdomain='docker run -it --rm -v /data:/app jianboy/searchdomain'

searchdomain --input domain.txt --output result.txt

```

